Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3678 closed project (fixed)

Add RISC-V BSP with support for the grlib

Reported by: Sebastian Huber Owned by: Jiri Gaisler
Priority: normal Milestone: 5.1
Component: arch/riscv Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description


Change History (10)

comment:1 Changed on 01/22/19 at 11:53:23 by Sebastian Huber <sebastian.huber@…>

In [changeset:"317209257661e50adb2abf4926c0dc812df0227d/rtems" 31720925/rtems]:

grlib: Move header files

Update #3678.

comment:2 Changed on 01/22/19 at 11:53:26 by Sebastian Huber <sebastian.huber@…>

In [changeset:"7eb606d393306da25fd6e6aa7f8595ffb2e924fc/rtems" 7eb606d3/rtems]:

grlib: Move source files

Update #3678.

comment:3 Changed on 01/22/19 at 11:53:29 by Jiri Gaisler <jiri@…>

In [changeset:"411c29735d8a824704384d12acfca06dc78db232/rtems" 411c297/rtems]:

grlib: make apbuart driver independent of bsp

Update #3678.

comment:4 Changed on 01/22/19 at 11:53:33 by Jiri Gaisler <jiri@…>

In [changeset:"5981c8ca9fcb6aa4b4c614268c9348b910cdba36/rtems" 5981c8ca/rtems]:

grlib: use rtems_interrupt_handler_install()

Update #3678.

comment:5 Changed on 01/22/19 at 11:53:36 by Jiri Gaisler <jiri@…>

In [changeset:"9b2b389e8d6c9a871a3d5de882fc48b13bc9f1ac/rtems" 9b2b389/rtems]:

grlib: use cpu-independent routines for uncached access

Update #3678.

comment:6 Changed on 01/22/19 at 11:53:39 by Jiri Gaisler <jiri@…>

In [changeset:"c1dcd6af56b7174a1fabd421efbaf566cb997f8b/rtems" c1dcd6af/rtems]:

grlib: make memory coherency cpu-independent

Update #3678.

comment:7 Changed on 01/22/19 at 11:53:43 by Jiri Gaisler <jiri@…>

In [changeset:"d3d4e77c4218377d9aad9a3ac5d71461274bbc1e/rtems" d3d4e77/rtems]:

riscv: add griscv bsp

Update #3678.

comment:8 Changed on 01/22/19 at 11:59:09 by Sebastian Huber <sebastian.huber@…>

In [changeset:"5973f92f79137576cea870b8504d5cb5582c6ce8/rtems-docs" 5973f92/rtems-docs]:

user: Stub documentation for griscv BSP

Update #3678.

comment:9 Changed on 12/13/19 at 15:22:53 by Joel Sherrill

Jiri.. can this ticket be closed or are there more activities pending? We are trying to close tickets to clear way for a release.

Thanks.

comment:10 Changed on 12/13/19 at 19:17:33 by Jiri Gaisler

Resolution: fixed
Status: assignedclosed

RISC-V grlib support merged and functioning well. Documentation somewhat lacking but ticket can be closed.

Note: See TracTickets for help on using tickets.